//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
typedef long __stdcall MSplitBegin(char *infile,char *password);
typedef long __stdcall MSplit(long id,char *output,long mode,char *range);
typedef long __stdcall MSplitEnd(long id);
typedef long __stdcall MMergeBegin();
typedef long __stdcall MMergeSetFiles(long id,char *infile,char *password,char *range);
typedef long __stdcall MMerge(long id,char *outfile);
typedef long __stdcall MMergeEnd(long id);
typedef long __stdcall MWatermark(long id,char *text,long fsize,long fcolor,
				 long position,long angle,long xoff,long yoff,long asbackground);
                 
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    TButton *Button2;
    TButton *Button3;
    TButton *Button4;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
    void __fastcall Button4Click(TObject *Sender);
private:	// User declarations
	HMODULE			m_hinstLib;

	MSplitBegin		*pMSplitBegin;
	MSplit			*pMSplit;
	MSplitEnd		*pMSplitEnd;
	
	MMergeBegin		*pMMergeBegin;
	MMergeSetFiles	*pMMergeSetFiles;
	MMerge			*pMMerge;
	MMergeEnd		*pMMergeEnd;
	MWatermark		*pMWatermark;
    
	BOOL LoadSplitMergeDll();
	BOOL FreeSplitMergeDll();
    
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
